/**
 * CalendarCycleOneLetter.java
 *
 * File generated from the medication::CalendarCycleOneLetter uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration CalendarCycleOneLetter.
 *
 * 
 */

@XmlType(name = "CalendarCycleOneLetter")
@XmlEnum
@XmlRootElement(name = "CalendarCycleOneLetter")
public enum CalendarCycleOneLetter {
	@XmlEnumValue("D")
	D("D"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("J")
	J("J"),
	@XmlEnumValue("M")
	M("M"),
	@XmlEnumValue("N")
	N("N"),
	@XmlEnumValue("S")
	S("S"),
	@XmlEnumValue("W")
	W("W"),
	@XmlEnumValue("Y")
	Y("Y");
	
	private final String value;

    CalendarCycleOneLetter(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static CalendarCycleOneLetter fromValue(String v) {
        for (CalendarCycleOneLetter c: CalendarCycleOneLetter.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}